package com.bjtdba.entity.order;

import java.math.BigDecimal;
import java.sql.Timestamp;

public class Order {

    /**
     * 订单ID
     */
    private Integer order_id;
    /**
     * 订单组ID
     */
    private Integer group_order_id;
    /**
     * 订单号
     */
    private String order_sn;
    /**
     * 用户ID
     */
    private Integer uid;
    /**
     * 用户姓名
     */
    private String real_name;
    /**
     * 用户电话
     */
    private String user_phone;
    /**
     * 详细地址
     */
    private String user_address;
    /**
     * 购物车ID
     */
    private String cart_id;
    /**
     * 订单商品数
     */
    private Integer total_num;
    /**
     * 订单总价
     */
    private BigDecimal total_price;
    /**
     * 邮费
     */
    private BigDecimal total_postage;
    /**
     * 实际支付金额
     */
    private BigDecimal pay_price;
    /**
     * 支付邮费
     */
    private BigDecimal pay_postage;
    /**
     * 一级佣金
     */
    private BigDecimal extension_one;
    /**
     * 二级佣金
     */
    private BigDecimal extension_two;
    /**
     * 平台手续费
     */
    private BigDecimal commission_rate;
    /**
     * 优惠ID
     */
    private String coupon_id;
    /**
     * 优惠卷金额
     */
    private BigDecimal coupon_price;
    /**
     * 0 普通   1自提
     */
    private Integer order_type;
    /**
     * 支付状态
     */
    private Integer paid;
    /**
     * 支付时间
     */
    private Timestamp pay_time;
    /**
     * 支付方式  支付方式 0余额 1微信 2小程序 4支付宝 5特殊商户积分
     */
    private Integer pay_type;
    /**
     * 创建时间
     */
    private Timestamp create_time;
    /**
     * 订单状态 订单状态（0：待发货；1：待收货；2：待评价；3：已完成；4已申请退款；-1：已退款）5未支付
     */
    private Integer status;
    /**
     * 发货类型 发货类型(1:发货 2: 送货 3: 虚拟)
     */
    private String delivery_type;
    /**
     * 快递名称/送货人姓名
     */
    private String delivery_name;
    /**
     * 快递单号/手机号
     */
    private String delivery_id;
    /**
     * 备注
     */
    private String mark;
    /**
     * 管理员备注
     */
    private String remark;
    /**
     * 总后台备注
     */
    private String admin_mark;
    /**
     * 核销码
     */
    private String verify_code;
    /**
     * 核销时间
     */
    private Timestamp verify_time;
    /**
     * 核销客服ID
     */
    private Integer verify_service_id;
    /**
     * 商户ID
     */
    private Integer mer_id;
    /**
     * 对账ID
     */
    private Integer reconciliation_id;
    /**
     * 成本价
     */
    private BigDecimal cost;
    /**
     * 是否删除
     */
    private Integer is_del;
    /**
     * 后台是否删除
     */
    private Integer is_system_del;
    /**
     *
     */
    private Integer remind;
    private String remind_time;
    /**
     * 是否记录公证处入账明细
     */
    private Integer gzc;
    /**
     * SaaS平台的交易订单编号
     */
    private String trade_no;
    /**
     * 渠道商订单号
     */
    private String channel_trade_no;
    /**
     * 支付宝单号
     */
    private String alipay_no;
    /**
     * 微信单号
     */
    private String weixin_no;

    private Integer table_id;
    /**
     * 商户可收金额
     */
    private BigDecimal mer_money;
    /**
     *上次订单状态 用于拒绝退款
     */
    private Integer last_status;
    /**
     * 分享ID
     */
    private Integer share_id;
    /**
     * 积分支付商户ID
     */
    private Integer pay_mer_id;
    /**
     * 0不分账  1分账
     */
    private Integer is_split_to_tomorrow;
    /**
     * 分给服务商的钱
     */
    private BigDecimal service_money;
    /**
     * 是否测试订单
     */
    private Integer test_order;
    /**
     * 大仓ID
     */
    private Integer dacang_id;
    /**
     * 1快递   2自提
     */
    private Integer distribution_mode;
    /**
     *大仓利润
     */
    private BigDecimal da_cang_profit;
    /**
     * 推荐商家流水反佣
     */
    private BigDecimal recommended_merchants;
    /**
     * 1大仓订单  2非大仓订单   0 之前的订单
     */
    private BigDecimal mer_fanyong;
    /**
     *大仓ID
     */
    private Integer is_dacang;
    /**
     * 1:供应链订单。0：平台订单
     */
    private Integer douhuomall;
    /**
     * 供应链订单状态0失败 1待付款 2待发货 3待收货 4已完成 5已取消 6售后中 7售后完成8拒收9待下单
     */
    private Integer douhuomall_status;
    /**
     * 供应链订单返回结果
     */
    private String douhuomall_msg;
    /**
     * 供应链需要的地址id
     */
    private Integer address_id;
    /**
     * 供应链订单号
     */
    private String douhuomall_order_no;
    /**
     *供应链订单来源1京东、2星链、3测试商品、4云商特卖、5厂商、6天猫、7微唯宝特卖
     */
    private Integer supply_type;

    public Integer getOrder_id() {
        return order_id;
    }

    public void setOrder_id(Integer order_id) {
        this.order_id = order_id;
    }

    public Integer getGroup_order_id() {
        return group_order_id;
    }

    public void setGroup_order_id(Integer group_order_id) {
        this.group_order_id = group_order_id;
    }

    public String getOrder_sn() {
        return order_sn;
    }

    public void setOrder_sn(String order_sn) {
        this.order_sn = order_sn;
    }

    public Integer getUid() {
        return uid;
    }

    public void setUid(Integer uid) {
        this.uid = uid;
    }

    public String getReal_name() {
        return real_name;
    }

    public void setReal_name(String real_name) {
        this.real_name = real_name;
    }

    public String getUser_phone() {
        return user_phone;
    }

    public void setUser_phone(String user_phone) {
        this.user_phone = user_phone;
    }

    public String getUser_address() {
        return user_address;
    }

    public void setUser_address(String user_address) {
        this.user_address = user_address;
    }

    public String getCart_id() {
        return cart_id;
    }

    public void setCart_id(String cart_id) {
        this.cart_id = cart_id;
    }

    public Integer getTotal_num() {
        return total_num;
    }

    public void setTotal_num(Integer total_num) {
        this.total_num = total_num;
    }

    public BigDecimal getTotal_price() {
        return total_price;
    }

    public void setTotal_price(BigDecimal total_price) {
        this.total_price = total_price;
    }

    public BigDecimal getTotal_postage() {
        return total_postage;
    }

    public void setTotal_postage(BigDecimal total_postage) {
        this.total_postage = total_postage;
    }

    public BigDecimal getPay_price() {
        return pay_price;
    }

    public void setPay_price(BigDecimal pay_price) {
        this.pay_price = pay_price;
    }

    public BigDecimal getPay_postage() {
        return pay_postage;
    }

    public void setPay_postage(BigDecimal pay_postage) {
        this.pay_postage = pay_postage;
    }

    public BigDecimal getExtension_one() {
        return extension_one;
    }

    public void setExtension_one(BigDecimal extension_one) {
        this.extension_one = extension_one;
    }

    public BigDecimal getExtension_two() {
        return extension_two;
    }

    public void setExtension_two(BigDecimal extension_two) {
        this.extension_two = extension_two;
    }

    public BigDecimal getCommission_rate() {
        return commission_rate;
    }

    public void setCommission_rate(BigDecimal commission_rate) {
        this.commission_rate = commission_rate;
    }

    public String getCoupon_id() {
        return coupon_id;
    }

    public void setCoupon_id(String coupon_id) {
        this.coupon_id = coupon_id;
    }

    public BigDecimal getCoupon_price() {
        return coupon_price;
    }

    public void setCoupon_price(BigDecimal coupon_price) {
        this.coupon_price = coupon_price;
    }

    public Integer getOrder_type() {
        return order_type;
    }

    public void setOrder_type(Integer order_type) {
        this.order_type = order_type;
    }

    public Integer getPaid() {
        return paid;
    }

    public void setPaid(Integer paid) {
        this.paid = paid;
    }

    public Timestamp getPay_time() {
        return pay_time;
    }

    public void setPay_time(Timestamp pay_time) {
        this.pay_time = pay_time;
    }

    public Integer getPay_type() {
        return pay_type;
    }

    public void setPay_type(Integer pay_type) {
        this.pay_type = pay_type;
    }

    public Timestamp getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Timestamp create_time) {
        this.create_time = create_time;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getDelivery_type() {
        return delivery_type;
    }

    public void setDelivery_type(String delivery_type) {
        this.delivery_type = delivery_type;
    }

    public String getDelivery_name() {
        return delivery_name;
    }

    public void setDelivery_name(String delivery_name) {
        this.delivery_name = delivery_name;
    }

    public String getDelivery_id() {
        return delivery_id;
    }

    public void setDelivery_id(String delivery_id) {
        this.delivery_id = delivery_id;
    }

    public String getMark() {
        return mark;
    }

    public void setMark(String mark) {
        this.mark = mark;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAdmin_mark() {
        return admin_mark;
    }

    public void setAdmin_mark(String admin_mark) {
        this.admin_mark = admin_mark;
    }

    public String getVerify_code() {
        return verify_code;
    }

    public void setVerify_code(String verify_code) {
        this.verify_code = verify_code;
    }

    public Timestamp getVerify_time() {
        return verify_time;
    }

    public void setVerify_time(Timestamp verify_time) {
        this.verify_time = verify_time;
    }

    public Integer getVerify_service_id() {
        return verify_service_id;
    }

    public void setVerify_service_id(Integer verify_service_id) {
        this.verify_service_id = verify_service_id;
    }

    public Integer getMer_id() {
        return mer_id;
    }

    public void setMer_id(Integer mer_id) {
        this.mer_id = mer_id;
    }

    public Integer getReconciliation_id() {
        return reconciliation_id;
    }

    public void setReconciliation_id(Integer reconciliation_id) {
        this.reconciliation_id = reconciliation_id;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public Integer getIs_del() {
        return is_del;
    }

    public void setIs_del(Integer is_del) {
        this.is_del = is_del;
    }

    public Integer getIs_system_del() {
        return is_system_del;
    }

    public void setIs_system_del(Integer is_system_del) {
        this.is_system_del = is_system_del;
    }

    public Integer getRemind() {
        return remind;
    }

    public void setRemind(Integer remind) {
        this.remind = remind;
    }

    public String getRemind_time() {
        return remind_time;
    }

    public void setRemind_time(String remind_time) {
        this.remind_time = remind_time;
    }

    public Integer getGzc() {
        return gzc;
    }

    public void setGzc(Integer gzc) {
        this.gzc = gzc;
    }

    public String getTrade_no() {
        return trade_no;
    }

    public void setTrade_no(String trade_no) {
        this.trade_no = trade_no;
    }

    public String getChannel_trade_no() {
        return channel_trade_no;
    }

    public void setChannel_trade_no(String channel_trade_no) {
        this.channel_trade_no = channel_trade_no;
    }

    public String getAlipay_no() {
        return alipay_no;
    }

    public void setAlipay_no(String alipay_no) {
        this.alipay_no = alipay_no;
    }

    public String getWeixin_no() {
        return weixin_no;
    }

    public void setWeixin_no(String weixin_no) {
        this.weixin_no = weixin_no;
    }

    public Integer getTable_id() {
        return table_id;
    }

    public void setTable_id(Integer table_id) {
        this.table_id = table_id;
    }

    public BigDecimal getMer_money() {
        return mer_money;
    }

    public void setMer_money(BigDecimal mer_money) {
        this.mer_money = mer_money;
    }

    public Integer getLast_status() {
        return last_status;
    }

    public void setLast_status(Integer last_status) {
        this.last_status = last_status;
    }

    public Integer getShare_id() {
        return share_id;
    }

    public void setShare_id(Integer share_id) {
        this.share_id = share_id;
    }

    public Integer getPay_mer_id() {
        return pay_mer_id;
    }

    public void setPay_mer_id(Integer pay_mer_id) {
        this.pay_mer_id = pay_mer_id;
    }

    public Integer getIs_split_to_tomorrow() {
        return is_split_to_tomorrow;
    }

    public void setIs_split_to_tomorrow(Integer is_split_to_tomorrow) {
        this.is_split_to_tomorrow = is_split_to_tomorrow;
    }

    public BigDecimal getService_money() {
        return service_money;
    }

    public void setService_money(BigDecimal service_money) {
        this.service_money = service_money;
    }

    public Integer getTest_order() {
        return test_order;
    }

    public void setTest_order(Integer test_order) {
        this.test_order = test_order;
    }

    public Integer getDacang_id() {
        return dacang_id;
    }

    public void setDacang_id(Integer dacang_id) {
        this.dacang_id = dacang_id;
    }

    public Integer getDistribution_mode() {
        return distribution_mode;
    }

    public void setDistribution_mode(Integer distribution_mode) {
        this.distribution_mode = distribution_mode;
    }

    public BigDecimal getDa_cang_profit() {
        return da_cang_profit;
    }

    public void setDa_cang_profit(BigDecimal da_cang_profit) {
        this.da_cang_profit = da_cang_profit;
    }

    public BigDecimal getRecommended_merchants() {
        return recommended_merchants;
    }

    public void setRecommended_merchants(BigDecimal recommended_merchants) {
        this.recommended_merchants = recommended_merchants;
    }

    public BigDecimal getMer_fanyong() {
        return mer_fanyong;
    }

    public void setMer_fanyong(BigDecimal mer_fanyong) {
        this.mer_fanyong = mer_fanyong;
    }

    public Integer getIs_dacang() {
        return is_dacang;
    }

    public void setIs_dacang(Integer is_dacang) {
        this.is_dacang = is_dacang;
    }

    public Integer getDouhuomall() {
        return douhuomall;
    }

    public void setDouhuomall(Integer douhuomall) {
        this.douhuomall = douhuomall;
    }

    public Integer getDouhuomall_status() {
        return douhuomall_status;
    }

    public void setDouhuomall_status(Integer douhuomall_status) {
        this.douhuomall_status = douhuomall_status;
    }

    public String getDouhuomall_msg() {
        return douhuomall_msg;
    }

    public void setDouhuomall_msg(String douhuomall_msg) {
        this.douhuomall_msg = douhuomall_msg;
    }

    public Integer getAddress_id() {
        return address_id;
    }

    public void setAddress_id(Integer address_id) {
        this.address_id = address_id;
    }

    public String getDouhuomall_order_no() {
        return douhuomall_order_no;
    }

    public void setDouhuomall_order_no(String douhuomall_order_no) {
        this.douhuomall_order_no = douhuomall_order_no;
    }

    public Integer getSupply_type() {
        return supply_type;
    }

    public void setSupply_type(Integer supply_type) {
        this.supply_type = supply_type;
    }
}
